# 🏆 CDF Community Awards
The Continuous Delivery Foundation recognizes community members, developers, and advocates that work hard to make this community great and push for Continuous Delivery advancements.

We traditionally have the following awards, awarded at our annual cdCon event:
* **Continuous Enthusiast**: The special award for the community contributors. When you think of the CDF community, this person should be on the shortlist, because they're everywhere!
* **Top CDF Ambassador**: A community champion for the continuous delivery space. This individual helps spread awareness of the CDF and its projects. The CDF Ambassador leverages multiple platforms, both online as well as speaking engagements, driving interest and excitement around the ecosystem. Must be part of the active Ambassador Cohort.
* **Top CDF Contributor**: Recognizes excellence of technical contributions to the CDF and its projects. This individual commits key pieces to projects and, more importantly, contributes in a way that benefits the project neutrally as a whole.
* **Top Doc(umenter)**: This award recognizes excellence in documentation contributions to the CDF and its projects. Outstanding technical documentation is one of the best ways projects can lower the barrier to contribution.
* **Top CDF End User**: The special award for the CDF End User Companies. This company embodies Continuous Delivery in the enterprise and strives to improve its processes. Their team members also drive important open conversations with other companies and CDF committees.

## Project Awards
Each CDF project conducts their own selection process for their Most Valuable Contributor Award. 

Graduated projects (currently Jenkins and Tekton) have three awards.
* Most Valuable Advocate
* Most Valuable Contributor
* Security MVP

## Nominations and Voting
The nominations for CDF Awards are done directly under corresponding issues created in cdfoundation/foundation repository. 
The voting will be done via a Google form. Members of the Outreach Committee, Technical Oversight Committee, and Ambassador Program vote to determine the winners of the 5 CDF awards listed above. Only 1 vote per company will be counted when tallying up the final vote to determine each of the award winners.

The projects are responsible for running their own award process.

## Eligibility
All community members are eligible to be nominated for all of the award categories based on their contributions except for the category in which they won the award during the last year. The reason for this is that there are many people involved in the success of the foundation and its projects. We want to make sure that more than one person is recognized for their efforts. 

## Winners
The winners are announced during the yearly cdCon event. The breakdown of votes is not disclosed, however members of the community will be invited to take part in the awards process as a CDF Award Officer (one volunteer per year) to observe nomination and voting process to ensure the transparency and sanctity of the award process.


## Previously Awarded
### 2022 Winners
#### Top CDF Ambassador
* [Garima Bajpai](https://twitter.com/bajpaigarima1)

#### Top CDF Contributor
* [Andrea Frittoli](https://twitter.com/blackchip76)

#### Top Doc(umenter)
* [Oleg Nenashev](https://twitter.com/oleg_nenashev)

#### Continuous Enthusiast
* [Darin Pope](https://twitter.com/DarinPope)

#### Top CDF End User
* [Ericsson](https://twitter.com/ericsson)

#### Most Valuable Project Contributors
* CDEvents: [Mauricio Salatino @salaboy](https://twitter.com/salaboy)
* Jenkins: [Basil Crow](https://twitter.com/bcrow)
* Jenkins X: [Ankit D. Mohapatra](https://twitter.com/ankitmoh123)
* Ortelius: [Brad McCoy](https://twitter.com/bradmccoydev)
* Screwdriver: Tiffany Kyi
* Shipwright: [Sascha Schwarze](https://twitter.com/sascha_schwarze)
* Spinnaker: Matt Gogerly
* Tekton: [Vincent Demeester](https://twitter.com/vdemeest)

#### Jenkins Security MVP
* [Wadeck Follonier](https://twitter.com/wadeckfollonier)

#### Jenkins Most Valuable Advocate
* [Gavin Mogan](https://twitter.com/halkeye)
 
--- 

### 2021 Winners
#### Top CDF Ambassador
* [Garima Bajpai](https://twitter.com/bajpaigarima1)

#### Top CDF Contributor
* [Dan Lorenc](https://twitter.com/lorenc_dan)

#### Top CDF End User
* [Fidelity Investments](https://twitter.com/Fidelity)

#### Top GitOps Evangelist
* [Kara de la Marck](https://twitter.com/KaraMarck)

#### Most Valuable Project Contributors
* Jenkins: [Tim Jacomb](https://twitter.com/Tjaynz)
* Jenkins X: [Vincent Behar](https://twitter.com/vbehar)
* Ortelius: [Owen Bowers Adams](https://twitter.com/ObowersA)
* Screwdriver: Mitsuru Takigahira
* Spinnaker: [Nikema Prophet](https://twitter.com/dev_nikema)
* Tekton: [Andrea Frittoli](https://twitter.com/blackchip76)

#### Jenkins Security MVP
* [Daniel Beck](https://twitter.com/danielbeck)

#### Jenkins Most Valuable Advocate
* [Oleg Nenashev](https://twitter.com/oleg_nenashev)
