# Relationship of Continuous Delivery Foundation  and its hosted projects

Continuous Delivery Foundation is hosted by the Linux Foundation. As part of the Continuous Delivery Foundation’s charter, it hosts multiple open source projects and initiatives for the benefit of the open source communities. The latest list of projects is at https://cd.foundation/projects/.

Each project hosted at the Continuous Delivery Foundation is self-governed with oversight by the Continuous Delivery Foundation’s Technical Oversight Committee (TOC) as outlined in the charter and the TOC’s project lifecycle guidelines. The Linux Foundation is the legal entity that owns and manages the brand assets for the hosted projects. The copyrights in contributions to Continuous Delivery Foundation’s hosted projects, such as source code and documentation, remain owned by the original authors and are licensed to the projects and downstream users under OSI-approved open source licenses.

# Why Consistency Matters

Open source projects use trademarks – such as the project’s name and logos – as ways to designate the project community and the community assets that are developed together in a public, collaborative fashion. A name or a logo communicates to the world that a codebase, or an event, or something else, reflects the collaborative open source project’s community and not any one single participant’s own offerings.

As a result, and because of some of the requirements that are necessary to preserve the project’s name and logos under trademark laws, the project aims to ensure consistency of usage to avoid confusion – especially, potential confusion in the delineation between what is provided by the project community, and what is a separate product or service offering provided by a participant, a contributor, or a downstream user or redistributor of the project code.

The project has in place some basic guidelines regarding proper and improper usage of its trademarks, with an aim towards balancing, on the one hand, the need to ensure that the project trademarks remain reliable indicators of the qualities that they have been created to preserve; and, on the other hand, the need to ensure that community members are able to discuss the project and to accurately describe the relationship between The Linux Foundation and Continuous Delivery Foundation, and the products and services offered by others.

# Branding Guides

In addition to the generally applicable rules discussed in The Linux Foundation Trademark Usage Guidelines, there are a few specific rules that we ask everyone to follow when using trademarks or project names related to Jenkins or any other projects hosted by Continuous Delivery Foundation, or the Continuous Delivery Foundation itself.

* Do mention Continuous Delivery Foundation  with the first reference to any Continuous Delivery Foundation hosted project with content you create (such as website copy, press releases, blogs, or collateral) (e.g., “Project ABC, hosted by Continuous Delivery Foundation ”) and do use “Continuous Delivery Foundation ” when referring to the organization (e.g., “XYZ Company is a member of the Continuous Delivery Foundation”).
* When referring to a Continuous Delivery Foundation  hosted project, do use the full project name (e.g., “XYZ Company uses Continuous Delivery Foundation’s Project ABC”). When there is a need to refer to a Continuous Delivery Foundation project in a less verbose manner (such as in a social tile title, session title, or event title), please work with the Continuous Delivery Foundation ’s PR team for specific guidance at pr@cd.foundation.
* Do help promote Continuous Delivery Foundation  in a vendor-neutral way.  Where necessary to highlight the initial code contributor, you can use the name of the codebase followed by “the technology initially contributed by …” (e.g., “Project ABC, the technology initially contributed by …”); however, as described in further detail below, you should not state or imply that the project belongs to any single contributor.
* Don’t use “Continuous Delivery Foundation” or any Continuous Delivery Foundation  hosted project name  in a misleading way, such as:
* Don’t use any Continuous Delivery Foundation hosted project name in connection with any products or services that are not related to, built for or associated with the software projects hosted by Continuous Delivery Foundation.
* Don’t use a company name possessively with the Continuous Delivery Foundation  hosted project (e.g., “XYZ Company’s Continuous Delivery Foundation”, “XYZ Company’s Project ABC”, or “Project ABC by XYZ Company”).
* Don’t use “Continuous Delivery Foundation” or a Continuous Delivery Foundation hosted project name (1) in a way that creates a sense of endorsement, sponsorship, or false association with Continuous Delivery Foundation  (e.g., “Continuous Delivery Foundation or Project ABC approved,” “Continuous Delivery Foundation or Project ABC certified,” “a product by a Continuous Delivery Foundation  member”); or (2) in connection with a project that has not been accepted into the Continuous Delivery Foundation organization; or (3) in connection with a product that is not a conformant offering (where defined in a project’s conformance program materials).
* Don’t deliberately give the impression that a company is the “main” company behind a Continuous Delivery Foundation hosted project. Don’t associate Continuous Delivery Foundation or a Continuous Delivery Foundation hosted project with a single project or company.
* Don’t use a mark in a way that is otherwise harmful to the Continuous Delivery Foundation organization, its members or other projects.

If a project provides a logo for use in an icon format, note that its use is intended only for use where an icon is most appropriate ( such as within an application ). Please work with pr@cd.foundation to review if there are questions or concerns.

# Do I need permission to talk publicly about the Continuous Delivery Foundation or the hosted projects?

No. Anyone is free to talk publicly about Continuous Delivery Foundation and its hosted projects without restriction.

All we ask is that, when you use the organization’s and projects’ names, logos and trademarks in connection with providing goods and services, you do so in an appropriate manner that is consistent with maintaining the goodwill associated with them. To help ensure this, we do request you contact us at pr@cd.foundation for review of the following:

* All press releases that use Continuous Delivery Foundation or a Continuous Delivery Foundation hosted project trademark (registered or otherwise).
* Use of Continuous Delivery Foundation brands on your own web pages in connection with a product or service offering.
* Marketing collateral within which you plan to use the words “Continuous Delivery Foundation” or any of our project names or logos.

**Copyright © 2022 CD Foundation The Linux Foundation®. All rights reserved. The Linux Foundation has registered trademarks and uses trademarks.**

**For a list of trademarks of The Linux Foundation, please see our [Trademark Usage](https://www.linuxfoundation.org/trademark-usage) page. Linux is a registered trademark of Linus Torvalds. [Privacy Policy ](http://www.linuxfoundation.org/privacy)and [Terms of Use](http://www.linuxfoundation.org/terms)**.
