# CDF Style Guide

## 1. Continuous Delivery and open source

Online and in print media, the phrases "continuous delivery" and "open source" are written both with and without the hyphen. [Merriam-Webster](https://www.merriam-webster.com/dictionary/open-source) lists the phrase as "open-source," and the [Chicago Manual of Style](https://www.chicagomanualofstyle.org/home.html) recommends a hyphen in noun + adjective compounds used as an adjective in front of a noun.

However, the [Open Source Initiative](https://opensource.org/), established in 1998, does not use a hyphen in "open source." Likewise, the Continuous Delivery Foundation does not use a hyphen for "continuous delivery" in its name. And the [IEEE Computer Society Style Guide](https://ieeecs-media.computer.org/assets/pdf/2016CSStyleGuide.pdf), which is maintained by the 72-year-old Computer Society, lists "open source" as the preferred usage.

We believe that the continuous delivery aspect of "continuous delivery technologies" is so integral to its meaning that the entire phrase serves as a noun. The same can be said for an "open source project." Following this logic, "continuous delivery" and "open source" are not compound adjectives that need to be hyphenated, per the Chicago Manual of Style.

Thus, going forward, for all CDF publications online and in print, we are establishing "open source" and "continuous delivery" as the proper style.

The words should be lowercase, except in organization names like the Continuous Delivery Foundation and Open Source Initiative. Normal capitalization rules apply at the beginning of a sentence and in titles.

## 2. Foundation Name
The Continuous Delivery Foundation is always capitalized. The Foundation name can be shortened to CD Foundation or CDF, but only after writing it out in full once in earlier paragraphs.

In any online publications, please also hyperlink Continuous Delivery Foundation to our website [https://cd.foundation/](https://cd.foundation/)

## 3. CDF Projects

Different CDF-hosted projects have preferred capitalization (e.g., Jenkins X or CDEvents). Please see [https://cd.foundation/projects/](https://cd.foundation/projects/) for proper spelling.




## 4. Logos

Logos for all CDF-hosted [projects](https://cd.foundation/projects/) and programs are available on the [CDF Artwork Page](https://github.com/cdfoundation/artwork). We prepare artwork in 2 formats (PNG & SVG), 3 layouts -- horizontal (also known as landscape format), stacked (which is closer to square), and icon (which does not include the name and is square), and 3 versions (color/black/white). So, that's at least 18 versions of most logos.

You can find stickers, t-shirts, and socks for each CDF graduated and incubating project at the [CDF store](https://store.cd.foundation/).
