

# **CDF User Stories Guidelines**

## Overview

The CDF User Stories Program features real-world use cases from companies embracing the change brought by Continuous Delivery. The goal is to show the impact of adopting Continuous Delivery as a software development practice along with enabling CI/CD technologies, such as the CDF projects.

The stories we want to build narratives around include, but are not limited to:

* how adopting Continuous Delivery helped to increase release cadence and shorten the time to deliver new features and products in the hands of end users; 
* showing the benefits of using modern CI/CD in combination with open source projects and how organizations employ them to achieve business objectives (view the [CDF Landscape](https://landscape.cd.foundation/) for inspiration) 
* specific metrics, demonstrating the greater benefits organizations achieve through the use of CI/CD 
* the importance of improving developer experience and productivity with the help of Continuous Delivery

CDF User Stories act as a valuable resource for organizations considering adopting Continuous Delivery and open source technologies and showcase participating organizations as leaders in their field.


## Who’s Eligible to Participate?

1. Any end user organization evaluating, using, and contributing to open source CI/CD projects (including the [CDF projects](https://cd.foundation/projects/)) in combination with other open source projects and modern CI/CD technologies.
2. Vendor companies that are CDF members and want to demonstrate how the company uses CDF projects. The focus being the use of the open source technologies and why they were chosen over other technologies. The case study focus cannot be the vendor product or the vendor’s success.

## Who can be featured in a case study?

Case studies feature organizations working with CDF projects or moving to other modern CI/CD technologies.

All case studies must demonstrate at least one tangible business impact of open source CI/CD projects, such as the ones hosted within the CD Foundation.

Examples from published case studies include:

* [Will be added as soon as the first case study is published!]

If you are a CDF member and have customers or partners with interesting use cases, you can suggest them for a case study. The resulting case study could be about your customer’s use case, and we would also be able to include some details about how you helped with the implementation.


## Written Case Study Process

To empower our fast-growing end user community to tell their stories, case studies follow a self-service partnership model - leveraging internal knowledge and expediting the sign-off process, with editorial support and guidance provided by the CDF.

The self-service partnership follows a six-step process:

1. Proposal
    * Submit a [case study proposal](https://forms.gle/kPA7o98jtSb8Dmd48)

2. Creation

    * Company writes case study
    * Company submits case study and collateral outlined in case study pack

3. Review

    * CDF team reviews proposal within 20 working days
    * If the proposal meets the criteria, the end user is sent a case study pack [to be created soon]
    * If the proposal doesn’t meet the criteria, the CDF team will provide feedback and the company is invited to resubmit

4. Editing

    * CDF reviews the case study and makes any necessary edits as suggestions
    * Edits are based on the style guide and case study criteria [to be created soon]
    * Company is welcome to make further edits or additions to the case study
    * Company confirms when the draft is final and manages any approval processes, including the company’s legal department’s approval

5. Publishing on CDF Website

    * CDF prepares the case study for publication
    * Company will receive a preview link, to view the case study before it goes live. This is an opportunity for final tweaks, but not to add further information.
    * Case study is published to [https://cd.foundation/case-studies](https://cd.foundation/case-studies)
    * Promotion cycle begins

6. Publishing on CDF Best Practices Website

## Promotion

Case studies are published on cd.foundation, and, in some cases, features on specific project websites.

CDF markets the case studies online, through social media, blog promotion, and the CDF newsletter. In some cases, the case study will be shared via the CDF project Twitter accounts. Case study contributors are encouraged to leverage CDF’s numerous marketing channels to amplify their case study. We ask that you share the case study on your platforms as well.


## To get started

Propose a case study and send it to the team directly with [this form](https://forms.gle/kPA7o98jtSb8Dmd48).


## Summary

If you have any questions or feedback about the Written Case Study program, please email [casestudy@cd.foundation](mailto:casestudy@cd.foundation)
