# Guidelines, Procedures, Processes, and Policies for CDF

## Governance

* The [Charter](https://github.com/cdfoundation/charter) under which CDF operates
* [Community Roles](https://github.com/cdfoundation/foundation/blob/main/CDF%20Community%20Roles%20.md)
    * Election policies for all CDF elected positions 
    * [CDF Elected Positions](https://github.com/cdfoundation/foundation/blob/main/CDF%20Elected%20Positions.md)
* Foundation operations and technical support [Member Support Desk](https://members.cd.foundation/)
* The [membership](https://github.com/cdfoundation/charter/blob/master/CD%20Foundation%20Participation%20Agreement%20and%20Funding%20Charter%202-6-2019.pdf) agreement
* The TOC [Code of Conduct](https://github.com/cdfoundation/.github/blob/main/CODE_OF_CONDUCT.md)
* CDF [Strategic Goals](https://github.com/cdfoundation/foundation/blob/master/goals.md)

## Project Guidance

* [CDF Copyright](https://github.com/cdfoundation/foundation/blob/main/CDF%20Copyright.md) notice recommendations
* [CDF Project Website Guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20Project%20Website%20Guidelines.md) for mentioning companies while maintaining neutrality
* [LF Telemetry and Data Collection Policy](https://www.linuxfoundation.org/telemetry-data-collection-and-usage-policy/)
* [GSoC Guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20GSoC%20Guidelines.md)
* [Access to CDF Tools/Services (e.g., G Suite, Cloud, Zoom, LastPass, calendars)](https://github.com/cdfoundation/foundation/blob/main/CDF%20Access%20to%20Assets%20and%20Tools.md)
* [Project Infra Guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20Infra%20Guidelines.md)
    * Questions?: [Email Us](mailto:operations@cd.foundation)

## Marketing Resources

* [CDF Blog Guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20Blog%20Guidelines.md) outlining who can submit, suggested topics, and how to submit.
* [CDF Case Studies](https://github.com/cdfoundation/foundation/blob/main/CDF%20User%20Stories%20Guidelines.md)
* [Online Programs (Webinars/Podcasts)](https://github.com/cdfoundation/foundation/blob/main/CDF%20Webinars%20Guidelines.md)
* How to Talk about CDF
    * A [Prime Guide to Continuous Delivery Foundation](https://docs.google.com/presentation/d/1LpKf55anD-0H6m_k-pe1ZGqGLXxx7HPc-mEv2G5X1bw/edit#slide=id.g135f7656ae2_0_857) with recommendations for CDF Talks/Presentations
* Social
    * [Twitter](https://twitter.com/CDeliveryFdn)
    * [LinkedIn](https://www.linkedin.com/company/19100461)
    * [YouTube](https://www.youtube.com/continuousdeliveryfoundation)
    * [Website](https://cd.foundation/)
* CDF Project Assets
    * [Artwork Repo](https://github.com/cdfoundation/artwork)

## Community Resources

  * [Community Calendar](https://calendar.google.com/calendar/u/0/embed?src=linuxfoundation.org_mhf0kmgedn67ihni8r129avp24@group.calendar.google.com&ctz=UTC)
  * [CDF Events](https://cd.foundation/events/list/)
  * [GitHub](https://github.com/cdfoundation) 
  * [Slack Guidelines](https://github.com/cdfoundation/foundation/blob/main/CDF%20Slack%20Guidelines.md)
  * [Join CDF Slack](https://join.slack.com/t/cdeliveryfdn/shared_invite/zt-nwc0jjd0-G65oEpv5ynFfPD5oOX5Ogg)
  * Community Mailing Lists
      * [All Public Mail Lists](https://lists.cd.foundation/g/main/subgroups)
      * [Technical Oversight Committee(TOC)](https://lists.cd.foundation/g/cdf-toc)
      * [Outreach Committee/Marketing](https://lists.cd.foundation/g/cdf-outreach)

## Member Resources

* Mailing lists
    * [General Members Mailing List](https://lists.cd.foundation/g/cdf-general-members)
    * [End-User Member Mailing List](mailto:cdf-end-user-members+subscribe@lists.cd)
* [Member Help Desk](https://members.cd.foundation/)
    * For help with: billing, member benefits, contracts, renewals, contact information, PO submission.

## LFid 

* [Create your LFid](https://docs.linuxfoundation.org/lfx/sso/create-an-account) for access to meeting invitations, recording, agendas, and project insights. 

_(note: if you do not have an LFid you will not receive meeting invitations)_


## Other Content

Project, SIG, and TOC related content is availabe in the [TOC Repo](https://github.com/cdfoundation/toc). 

The [CDF Website](https://cd.foundation/about/) has information on all programs offered publicly by CDF.


## How to Request Changes

You are welcome to file non-technical issues related to CDF on this repo.
