# Continuous Delivery Foundation
# MINUTES OF GOVERNING BOARD
February 11, 2021

A regular meeting of the Governing Board of the Continuous Delivery Foundation was held on February 11, 2021 at 10:00 a.m. Pacific Time via teleconference.

# Governing Board Voting Members
* Anders Wallgren, (CloudBees)
* Tom Trahan (Circle CI)
* Tracy Ragan (DeployHub, General Member Rep)
* Michael Winser (Google)
* David Lai (Huawei/Futurewei)
* Peter Klenk (IBM)
* Stephen Chin (JFrog)
* Dan Lorenc (Google, TOC Chair)
* Rosalind Benoit (Armory, Outreach Committee Chair)
* Nikhil Kaul (Google)

**Not in Attendance**
* Sinya Echigo (Fujitsu)
* Dilip Pai (Salesforce)
* Michael Galloway (Netflix)


# Also Participating
* Tracy Miranda (CDF)
* Jacque Salinas (CDF)
* Gale McCommons (The Linux Foundation)
* Emily Ruf (The Linux Foundation)


# Call to Order
Gale McCommons called the meeting to order at 10:03 a.m. Pacific Time and recorded the minutes. A quorum of the CDF Governing Board Members was established for the conduct of business, and the meeting, having been duly convened, was ready to proceed with business.


# Antitrust Policy Notice
Gale McCommons reviewed and reiterated the Linux Foundation Antitrust Policy with the Governing Board, with the Governing Board affirming.


# Agenda
Gale McCommons introduced the agenda for the meeting. There were no additional topics added.


# Meeting Minutes Approval
Gale McCommons introduced the topic of meeting minutes approval. A motion by Tracy Ragan was made and seconded by Nikhil Kaul. Michael Winser abstained and he was not present for the previous meeting.

**Resolved:** That the 12 November 2020 Meeting Minutes are approved, as described with any modifications, and as included within the records of the corresponding governing board meeting, are hereby approved.

# Governing Board & Staffing Updates
Gale McCommons introduced the topic of governing board and staffing updates. Gale McCommons welcomed and congratulated Steve Chin as the new governing board chair. Tracy Miranda also congratulated Steve on the new role. Tracy Miranda proceeded to welcome Nikhil Kaul as the new alternate representative for Google. Michael Winser thanked the board for allowing him to serve, and noted that he will continue to participate in CDF. Nikhil Kaul thanked the group, and noted that he is looking forward to working with the foundation.

Steve Chin introduced a proposal to increase the frequency of governing board meetings. The current schedule plans for four meetings, one per quarter, in 2021. He communicated that more frequent meetings are necessary to make progress on the 2021 goals. Tracy Ragan noted that it is a good idea to have more regular touchpoints to facilitate decision making for the foundation. Tracy Ragan communicated that she would be abstaining from the vote as she may not be on the board in 2021 as the general member governing board representative. Tom Trahan asked if all members of the governing board are also on supporting committees, and Steve Chin noted that supporting committees are optional and not all board representatives participate.

Discussion ensued regarding the 2021 governing board meeting cadence. A motion to shift the cadence to a monthly one hour meeting was made by Nikhil Kaul, and seconded by Dan Lorenc. A vote was held, and consensus was reached to change the cadence to a monthly one hour meeting.

Discussion ensued, and consensus reached to meet on the second Thursday of the month at 4 p.m. Pacific Time.


# Member Update
Tracy Miranda introduced the topic of member update. Tracy Miranda shared that in April of 2020 a challenge was identified of the value proposition of membership benefits. After becoming ED, it became clear that the benefits were not clear, and were not written on the website. Tracy Miranda noted that they are taking steps to rectify basic building blocks. A new “become a member” page has been created focused on why prospective members should join. The page summarizes key benefits, and displays the value proposition, and includes a link to the member benefits guide. This guide will act as the source of truth with content regarding making most of memberships. The CDF member benefits guide also spells out three key tiers the project targets - premier is strategic for orgs looking to maximize involvement and shape the future of continuous delivery. The document includes tables listing benefits from the perspective of leadership, networking, outreach, and technical communities. The value prop is now set out correctly. The project team is working on encouraging people to take advantage of those benefits and the CDF offerings. Tracy Miranda encouraged the members to review the member benefits guide.

Tracy Miranda shared that strides are being made towards addressing membership issues, and the project is on track to meet membership retention goals. Next steps include building the pipeline with primary focus on end user members, and looking to conduct a member survey.


# 2021 CDF Plans & OKRs
Steve Chin introduced the topic of 2021 CDF plans and OKRs, and shared the CDF mission statement. Steve noted high level goals are growing the end user community, engaging the ecosystem and increasing brand awareness, and cultivating growth and adoption of CDF OSS projects. He noted the goal of growing the end user community, walked through four KPIs, and proceeded to share the quarterly goals. The ecosystem primary goal is growing brand awareness, and he shared supporting KPIs. The third goal is to grow CDF projects and the project portfolio. CDF specifically wants to onboard four new projects in 2021, and ensure one project graduates the TOC process. Steve Chin opened to questions, and there were no questions.


# Budget Update
Tracy Miranda introduced the topic of budget update, and shared the budget documentation cleanup that has been conducted over the last months. The budget is now aligned to the calendar year for 2021. The budget committee met in 2020 and approved the budget for proposal to the board.


# cdCon 2021
Jacque Salinas introduced the topic of cdCon 2021. Jacque Salinas shared the OKRs and goals for cdCon. The goals are to reach 3000 registrations, increase event sponsorship to 200k in sponsorship sales, run the event at cost, and maintain or improve rating. Last year’s event won a gold badge for diversity and inclusion from the CHAOSS project. Jacque Salinas shared congratulations to the planning committee. The next cdCon event is June 23 - June 24. The event committee is moving forward with the previous HopIn platform with free registration. The committee is continuing with diversity and inclusion support for Black Girls Code and Women Who Code, and adding She Code Africa in 2021. Last year’s event donated $2500 to each organization. Sponsorship sales have been through the roof, and are at 91% of goal. The call for proposals is open until March 5, and the committee is working to increase participation from women and folks from underrepresented groups.


# TOC/Project Updates

Dan Lorenc introduced the topic of TOC and project updates. The Ortelius announcement was made in January. The announcement was picked up widely, more widely than expected. With the Ortelius acceptance, the TOC is at a natural starting point to discuss composition. The charter specifies that up to six TOC seats may come from the project, and Ortelius is the sixth project. Strategy calls have been taking place. Goals from the TOC are to increase active members through elections across projects, increasing accountability and alignment to board goals, and leveraging the community ambassador program. Discussion ensued regarding the TOC composition and elections.

# Outreach and Community Updates

Jacque Salinas introduced the topic of outreach and community updates, and shared the OKRs for the outreach committee in 2021. Website traffic is up 2.2% from January 2020 vs. January 2021. Jacque Salinas noted active PR and comms, and mentioned an interview with Tracy Miranda on Linux.com. The interview is also posted to Reddit under /devops. Tracy Miranda, Isaac Mosquera, and Tracy Ragan were on a paniel for Predict 2021. Jacque Salinas will be on a panel to discuss DevOps culture. The podcast has reached 7.9k downloads to date, and the most popular episode is the 2021 technology predictions with Michael Winser. The master email marketing list grew 1000% in 2020.  Season 2 of the webcast program is starting and the playlist is on the youtube channel. The first (she)DF event was yesterday, February 9, targeting women and underrepresented groups. The event was focused on how to level up your DevOps

career. The event had a natural and organic conversation, and the group discussed that it doesn’t matter what level your career is in, and the importance of confidence in growing a career. It was great to hold space for women to talk and network.

# Open Discussion

Steve Chin introduced the topic of open discussion, and shared an initial topic of CNCF and CDF joint activities. The strategy committee has discussed alignment between CDF’s landscape activities, and marketing and outreach with the CNCF community. Both foundations have distinctions in their charters, but there is overlap between the communities and their mission. Discussion ensued regarding opportunities to collaborate with CNCF.

# Adjournment

With no further topics discussed, Tracy Miranda adjourned the meeting of the Governing Board at 11:30 a.m. Pacific Time.
