
# Continuous Delivery Foundation**
**MINUTES OF GOVERNING BOARD**

**December 8, 2021**

A regular meeting of the Governing Board of the Continuous Delivery Foundation was held on December 8, 2021 at 4:00 p.m. Pacific Time via teleconference.

**Governing Board Voting Members**
* Marc Halcrow (DevOps Institute, General Member Rep)
* David Lai (Huawei/Futurewei)
* Stephen Chin (JFrog)
* Eric Chiang (Netflix)
* Emily Freeman (AWS)
* Jennifer Hooper (Armory)
* Oleg Nenashev (Dynatrace, TOC Chair)

**Also Participating**
* Tracy Miranda (Continuous Delivery Foundation)
* Jacque Salinas (Continuous Delivery Foundation)
* Michelle Martineau (The Linux Foundation)

**Not in Attendance**
* Jason Hall (Red Hat)
* Anders Wallgren, (CloudBees)
* Katsuhita Ohta (Fujitsu)
* Tiffany Jachja (Harness)
* Koji Kobayashi (Fujitsu)
* Nikhil Kaul (Google)
* Tom Trahan (Circle CI)

### Call to Order

Tracy Miranda called the meeting to order at 4:06 p.m. Pacific Time, and Michelle Martineau recorded the minutes. A quorum of the Continuous Delivery Foundation Governing Board Members was established for the conduct of business, and the meeting, having been duly convened, was ready to proceed with business.

### Antitrust Policy Notice

Michelle Martineau reviewed and reiterated the Linux Foundation Antitrust Policy with the Governing Board, with the Governing Board affirming. 

### Agenda

Tracy Miranda introduced the agenda for the meeting. There were no additional topics added. 

1. Approval of Minutes
2. Membership Updates
3. Budget Update
4. Strategic Goals & OKRs
    * End User & CD Adoption
    * Brand Awareness
    * OSS Projects Portfolio
5. AOB

### Meeting Minutes Approval

Michelle Martineau introduced the topic of meeting minutes approval, and upon motion made by Stephen Chin and seconded by David Lai and it was unanimously:

**RESOLVED:** That the minutes of the September 9, 2021 meeting of the Governing Board, in the form attached hereto as Exhibit A, are hereby confirmed, approved .

### Membership Updates

Tracy Miranda introduced the topic of St. Mary’s College of California. St. Mary’s has requested to join the CD foundation with a goal of Contributing to the opensource projects related to Continuous Delivery and Implementing internal usage and as well  Introduce the DevOps curriculum that includes Continuous delivery.

Michelle Martineau introduced the topic of St. Mary’s College of California General Membership approval, and upon motion made by Emily Freeman and seconded by Marc Halcrow and it was unanimously:

**RESOLVED:** That the St. Mary’s College of California’s request for associate Membership to the Continuous Delivery Foundation, is hereby confirmed, approved.

Tracy Miranda introduced the topic of members who will be joining such as Aspen Mesh, and those who will be departing, Rancher Labs and DeployHub. Discussion ensued about the reasons behind these departures and effect on the projects.

Tracy Miranda also discussed the Continuous Delivery Foundation’s member pipeline revealing those that are inbound & from Kubecon NA and LF Member Summit. The Hygieia project was also mentioned as a potential inbound project from a collaboration between Capital One and Wipro with the Continuous Delivery Foundation.

Tracy Miranda introduced the topic of a General Member Representative on the Governing Board. Tracy Miranda highlighted that Tracy Ragan has resigned her seat on the Governing Board and expressed gratitude for all her past efforts at the Governing Board. As a result CDF will hold a General Member By-Election for 2022, Nominations for General Member Representatives will begin January 10,2022, with the voting concluding  on January 26th and announcement of the new representative on January 28th.

### Budget Update

Tracy Miranda introduced the topic of Continuous Delivery Foundation Budget 2022 Budget which will be for 12 months (January 2022 - December 2022). The 2022 budget based on reforecasted budget approved in September 2021, with major new items added in. Budget gets approved in December 2021 and will be regularly reviewed and adjusted on a quarterly basis or as needed. Tracy Miranda explained that most member renewals are aligned to the year end with the exception of new members who signed up in 2021 - they have a year membership and then membership is aligned to year-end the following year

Tracy Miranda informed the board that there are some new budget items in 2022 including Marketing & Events, such as cdCon. Continuous Delivery foundation’s 2022 budget will reflect CDF's first in person event with expenses and revenue projected to at least break even. cdCon Budget details were shared via link to the board. 

Tracy Miranda introduced the topic of Continuous Delivery Foundation development and community groups and outlined the plan to use Bevy for CDF Community Groups and phase out of Meetup. Discussion ensued.

David Lai highlighted the need for a breakdown of project infrastructure costs. Jennifer Hooper highlighted considerations around the trademark budget for 2022. Discussion ensured.

Tracy Miranda presented several charts and a detailed budget before the Continuous Delivery Foundation budget for 2022 was brought to a vote.

Michelle Martineau introduced the topic of Continuous Delivery Foundation budget for the 2022 calendar year,approval, and upon motion made David Lai by and seconded by Stephen Chin hand it was unanimously:

**RESOLVED:** That the Continuous Delivery Foundation budget for the 2022 calendar year, as outlined in the attachment- Exhibit B, is hereby approved.

### Strategic Goals & OKRs

Tracy Miranda introduced the topic of Continuous Delivery Foundation Strategic Goals 2021. The goals Tracy Miranda detailed were Grow the end user community while driving continuous delivery adoption, Engage ecosystem & increase brand awareness to become the most trusted industry resource for best & emerging practices in continuous delivery, and Cultivate growth and adoption of our OSS projects

### 2022 Planning

Tracy Miranda introduced the topic of Standardized CD events, which included discussing that Events SIG is preparing an official project proposal for CDEvents, a project to standardize CI/CD events (building on cloud events). This proposal has been approved by the Technical Oversight Committee (TOC) and will be a new CDF project. A launch plan is underway for 2022. This is a very strategic area for CDF to drive for interoperability and better developer experiences. 

Tracy Miranda explained that some of the Continuous Delivery Foundation projects like Tekton, Keptn are already adopting CDEvents, with Jenkins starting to as well. The challenge the Continuous Delivery Foundation is facing is; How do we get more projects (e.g. Spinnaker), products and members to help shape it and adopt it? 

Tracy Miranda expressed the need to spread the word on current activities, while also positioning for projects as well as in various verticals (Edge, MLOps etc). 

Marc Halcrow brought up the challenge of submitting new projects and requested feedback from the board on how to streamline this process in the future. Discussion ensued.

Tracy Miranda introduced the topic of Best Practices, explaining that the Continuous Delivery Foundation needs to have a dynamic body of work that speaks to industry best and emerging practices.  The Best Practices SIG has shaped up an excellent proposal which the Continuous Delivery Foundation needs to accelerate to a minimum-viable version to build momentum and grow.The challenge the Continuous Delivery Foundation is facing is;  How do we accelerate this work and get more folks involved? (e.g. have a strong brand). How can we develop this as a framework and specialize it for different verticals?

Tracy Miranda introduced the topic of Projects Portfolio explaining that the Continuous Delivery Foundation needs to attract more projects and work with projects in different foundations to help grow the portfolio of projects in the right direction. Discussion ensued.

Tracy Miranda introduced the topic of growing the end user community while driving continuous delivery adoption. Discussion ensued.

### cdCon 2022

Tracy Miranda then introduced the proposed format for cdCon 2022 live in Austin Texas and virtual, including a draft of the working agenda. A timeline was then shared with the board outlining key dates in the planning of the event including the sponsorship prospectus. Jacque Salinas listed the members who have already committed to sponsorships.

### CDF Brand Visibility

Jacque Salinas then introduced the topic of brand visibility, outlining the CD and DevOps’ podcast The Pipeline’s milestones and the increase in newsletter subscriptions.

Tracy Miranda then introduced the new cdevents logo and the upcoming launch of the Continuous Delivery Foundation’s Newest Platform.

### AOB

Tracy Miranda introduced the topic of open discussion.

There were no additional topics for discussion. 

### Adjournment

With no further topics discussed, Tracy Miranda adjourned the meeting of the Governing Board at 6:02 p.m. Pacific Time.
